package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 气瓶异常分析对象 t_gas_abnormality
 * 
 * @author zehong
 * @date 2026-03-19
 */
public class TGasAbnormality extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long abnormalityId;

    /** 异常类型 */
    @Excel(name = "异常类型")
    private String abnormalityType;

    /** 所属企业 */
    @Excel(name = "所属企业")
    private String enterpriseName;


    private String beyondEnterpriseId;

    /** 气瓶编号 */
    @Excel(name = "气瓶编号")
    private String bottleCode;

    /** 异常信息 */
    @Excel(name = "异常信息")
    private String message;

    /** 核实状态 0未核实 1无需处理 2已处理 */
    @Excel(name = "核实状态 0未核实 1无需处理 2已处理")
    private String status;

    /** 处理方式 */
    @Excel(name = "处理方式")
    private String content;

    /** 处理人 */
    @Excel(name = "处理人")
    private String people;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public void setAbnormalityId(Long abnormalityId)
    {
        this.abnormalityId = abnormalityId;
    }

    public Long getAbnormalityId() 
    {
        return abnormalityId;
    }
    public void setAbnormalityType(String abnormalityType) 
    {
        this.abnormalityType = abnormalityType;
    }

    public String getAbnormalityType() 
    {
        return abnormalityType;
    }
    public void setBeyondEnterpriseId(String beyondEnterpriseId) 
    {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public String getBeyondEnterpriseId() 
    {
        return beyondEnterpriseId;
    }
    public void setBottleCode(String bottleCode) 
    {
        this.bottleCode = bottleCode;
    }

    public String getBottleCode() 
    {
        return bottleCode;
    }
    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setPeople(String people) 
    {
        this.people = people;
    }

    public String getPeople() 
    {
        return people;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("abnormalityId", getAbnormalityId())
            .append("abnormalityType", getAbnormalityType())
            .append("beyondEnterpriseId", getBeyondEnterpriseId())
            .append("bottleCode", getBottleCode())
            .append("message", getMessage())
            .append("status", getStatus())
            .append("content", getContent())
            .append("people", getPeople())
            .append("createTime", getCreateTime())
            .toString();
    }
}
